#include<bits/stdc++.h>
using namespace std;
bool check(string & q){
int b [200];
for(int i = 0;i<200;i++){
    b[i] = 0;
}
for(int i = 0;i<q.size();i++){
    b[q[i] - '0']++;
}
int br = 0;
for(int i = 0;i<200;i++){
    if(b[i]%2==1){
        br++;
    }
}
if(br<2){
    return true;
}
return false;
}

string ans;
short n;
int main(){
ios_base::sync_with_stdio(0);
cin.tie(0);
cout.tie(0);
cin>>n;
vector<string> a(n);
for(int i = 0;i<n;i++){
    cin>>a[i];
    if(check(a[i])){
        ans.push_back(1+'0');
        continue;
    }
    ans.push_back(0+'0');
}
cout<<ans;
return 0;
}
